<?php

namespace App\Providers;

use App\Interfaces\FootballMatchRepositoryInterface;
use App\Interfaces\NewsRepositoryInterface;
use App\Interfaces\PollRepositoryInterface;
use App\Interfaces\PredictionRepositoryInterface;
use App\Interfaces\TeamRepositoryInterface;
use App\Interfaces\UserRepositoryInterface;
use App\Repositories\FootballMatchRepository;
use App\Repositories\NewsRepository;
use App\Repositories\PollRepository;
use App\Repositories\PredictionRepository;
use App\Repositories\TeamRepository;
use App\Repositories\UserRepository;
use Illuminate\Support\ServiceProvider;

class RepositoryServiceProvider extends ServiceProvider
{
    public function register(): void
    {
        $this->app->bind(TeamRepositoryInterface::class, TeamRepository::class);
        $this->app->bind(FootballMatchRepositoryInterface::class, FootballMatchRepository::class);
        $this->app->bind(PredictionRepositoryInterface::class, PredictionRepository::class);
        $this->app->bind(PollRepositoryInterface::class, PollRepository::class);
        $this->app->bind(NewsRepositoryInterface::class, NewsRepository::class);
        $this->app->bind(UserRepositoryInterface::class, UserRepository::class);
    }
}
